<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="css/styless.css">
</head>
<body>
    
    <input is="mi-input" type="text" id="input_mio" url="http://dummy.restapiexample.com/api/v1/employees"></mi-input>
    <button is="mi-boton-extendido" id="btn_mio"> Search </button>
    <button is="mi-boton-extendido" id="btn_mio2"> Clear </button>


    <table id="t1">

      <tr>
        <th class="header">Name</th>
        <th>Lastname</th>
        <th>Age</th>
        <th>Salary</th>
      </tr>

    </table>

    <!-- <script>
        class TimeFormatted extends HTMLElement { // (1)
        
          connectedCallback() {
            let date = new Date(this.getAttribute('datetime') || Date.now());
        
            this.innerHTML = new Intl.DateTimeFormat("default", {
              year: this.getAttribute('year') || undefined,
              month: this.getAttribute('month') || undefined,
              day: this.getAttribute('day') || undefined,
              hour: this.getAttribute('hour') || undefined,
              minute: this.getAttribute('minute') || undefined,
              second: this.getAttribute('second') || undefined,
              timeZoneName: this.getAttribute('time-zone-name') || undefined,
            }).format(date);
          }
        
        }
        
        customElements.define("time-formatted", TimeFormatted); // (2)
        </script>
        
         (3) 
        <time-formatted datetime="2019-12-01"
          year="numeric" month="long" day="numeric"
          hour="numeric" minute="numeric" second="numeric"
          time-zone-name="short"
        ></time-formatted> -->

    <script src="js/script.js"></script>
</body>
</html>